def comparaison(sequence, motif):
    for i in range(len(sequence) - len(motif) + 1):
        if sequence[i:i+len(motif)] == motif:
            return sequence[:i]+'['+motif+']'+sequence[i+len(motif)+1:]

    return False

sequence = "ATAACAGAGAATAAGGCTAGGAAATACTGAA"
motif = "AGGCTA"

print(comparaison(sequence,motif))
